Subject: [Bier] draft-ietf-bier-use-cases - Shepherd Review

From: Suneesh <[email-masked]>
Date: Tue, 4 Feb 2020 10:10:57 +0530

Hi All,

Please find the below review comments from the shepherd

Draft Version Reviewd:
https://www.ietf.org/id/draft-ietf-bier-use-cases-10.txt

General Comments:
==================

- The document is well written and informative.
- Editorial Review is done by Anoop Ghanwani <[email-masked]> on
Version-08 and comments got addrssed in Version-09
   - Some of the comments are yet to be addressed
    PE's vs PEs
    receivers vs receiver's

- The draft is having a good number of acronyms, good to have 'Terminology'
Section

- Section 3.2.  BUM in EVPN
  - Please expand VPLS
  - Please provide reference of VPLS rfc in Section-8
  - Please expand PIM, mLDP

- Section 3.3.  IPTV and OTT Services
  Please expand MBGP

- Section 3.6.  Data Center Virtualization/Overlay
  Please expand NVE

- Section 3.8.  4K Broadcast Video Services
  Please expand BGP

- Section 3.9.  Distributed Storage Cluster
  - Prefer to see the reference captured in Section-8 for NexentaEdge.
(What is the best practice to capture company specific details?)
  - Bullet Point 4, is starting with ">", looks like typo?
  - may be we can have more clarity by having the various messages in
single quotes
  eg: Chunk Put Accept -> 'Chunk Put Accept'
     Chunk Put Ack -> 'Chunk Put Ack'
     Chunk Get Request -> 'Chunk Get Request' etc.
  - Please expand MLD
  - Please capture MLD rfc details in Section-8

- Section 3.10.  HTTP-Level Multicast:

  - Please provide reference to the following draft
https://tools.ietf.org/html/draft-ietf-bier-multicast-http-response-02
  - Prefer to see the reference captured in Section-8 for InterDigital
  - Please expand HTTP
  - Please capture HTTP rfc detaisl in Section-8
  - Please expand FQDN

ID nits comments:
==================

Please address the following ID nits

Miscellaneous warnings:

----------------------------------------------------------------------------

  == The copyright year in the IETF Trust and authors Copyright Line does
not
     match the current year

  == The document doesn't use any RFC 2119 keywords, yet seems to have RFC
     2119 boilerplate text.

  -- The document date (August 4, 2019) is 183 days in the past.  Is this
     intentional?

  Checking references for intended status: Informational

----------------------------------------------------------------------------

  == Outdated reference: draft-ietf-bier-mvpn has been published as RFC 8556

  -- Obsolete informational reference (is this intentional?): RFC 4601
     (Obsoleted by RFC 7761)

     Summary: 0 errors (**), 0 flaws (~~), 3 warnings (==), 2 comments (--).

Regards,
Suneesh